/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by Red Squirrel on Jan-02-2010 02:32:38pm
Filepath: scripts\_custom\items\misc\satyrpipe.cs
Lines of code: 27
***********************************************************/


using System;

namespace Server.Items
{
	public class SatyrPipe : BaseInstrument
	{
		[Constructable]
		public SatyrPipe() : base( 0x2807, Utility.RandomList(1464,1418,1419), Utility.RandomList(1420,1463) )
		{
			Weight = 5.0;
			if(0.95>Utility.RandomDouble())LootType=LootType.Blessed;
			Name="Satyr Pipe";
		}

		public SatyrPipe( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}